# uproot.interpretation.objects.StridedObjectArray

Defined in uproot.interpretation.objects on line 1092.

class uproot.interpretation.objects.StridedObjectArray(interpretation, array)
  Parameters:

    - interpretation (uproot.AsStridedObjects) – The interpretation that produced this array.

    - array (array) – Underlying array object, which may be NumPy or another temporary array.

  Temporary array filled by basket_array, which will be turned into a NumPy, Awkward, or other array, depending on the specified uproot.interpretation.library.Library.

## interpretation

StridedObjectArray.interpretation

  The interpretation that produced this array.

## array

StridedObjectArray.array

  Underlying array object, which may be NumPy or another temporary array.

## shape

StridedObjectArray.shape

## ndenumerate

StridedObjectArray.ndenumerate()